envMap:
  PHOTOPRISM_ADMIN_USER: "obito1903" # admin login username
  PHOTOPRISM_AUTH_MODE: "password" # authentication mode (public, password)
  PHOTOPRISM_SITE_URL: "https://shitpost.obito.fr/" # server URL in the format "http(s)://domain.name(:port)/(path)"
  PHOTOPRISM_DATABASE_NAME: "photoprism" # MariaDB or MySQL database schema name
  PHOTOPRISM_DATABASE_USER: "photoprism" # MariaDB or MySQL database user name
  PHOTOPRISM_SITE_CAPTION: "Shitpost" # meta site caption
  PHOTOPRISM_SITE_DESCRIPTION: "" # meta site description
  PHOTOPRISM_SITE_AUTHOR: "obito1903" # meta site author
  PHOTOPRISM_THUMB_UNCACHED: "true"

ingress:
  main:
    enabled: true
    host: shitpost.obito.fr
    entrypoints:
      - websecure

persistence:
  data:
    size: 10Gi
  extra:
    - name: import
      size: 2Gi
      mountPath: /photoprism/import
      storageClass: freenas-nfs-csi
      accessModes:
        - ReadWriteMany
  nfs:
    - name: medias
      server: 192.168.1.11
      path: /mnt/main/medias/shitpost
      mountPath: /photoprism/originals

mariadb:
  primary:
    persistence:
      size: 2Gi
